View Issue Details

IDProjectCategoryView StatusLast Update
0000093WolfAdminCommandspublic2019-01-31 18:42
ReporterTimoAssigned ToTimo 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Target Version1.3.0Fixed in Version1.3.0 
Summary0000093: Implement launch commands
DescriptionTo help players which are stuck (or to just play around with them), implement some commands like !throw and !launch.
Additional InformationUse ps.velocity entity field to modify a player's velocity. See NoQuarter implementation for this, g_shrubbot.c, line 4144.
TagsNo tags attached.
ModN/A
Mod version
Standaloneyes

Relationships

related to 0000062 resolvedTimo Provide basic admin commands 

Activities

Timo

2019-01-22 15:09

administrator   ~0000120

Fixed in changeset e3fe342f3244b7b5e5b584a30812d67be366ea07.

Related Changesets

WolfAdmin: develop/1.3.0 e3fe342f

2019-01-22 14:25:13

Timo

Details Diff
Implemented !throw, !launch and !fling (refs 0000062) Affected Issues
0000062, 0000093
add - luascripts/wolfadmin/commands/admin/fling.lua Diff File
add - luascripts/wolfadmin/commands/admin/launch.lua Diff File
add - luascripts/wolfadmin/commands/admin/throw.lua Diff File
mod - luascripts/wolfadmin/main.lua Diff File
add - luascripts/wolfadmin/util/vectors.lua Diff File

Issue History

Date Modified Username Field Change
2019-01-17 17:32 Timo New Issue
2019-01-22 15:06 Timo Relationship added related to 0000062
2019-01-22 15:07 Timo Changeset attached => WolfAdmin develop/1.3.0 e3fe342f
2019-01-22 15:08 Timo Assigned To => Timo
2019-01-22 15:08 Timo Status new => assigned
2019-01-22 15:09 Timo Status assigned => resolved
2019-01-22 15:09 Timo Resolution open => fixed
2019-01-22 15:09 Timo Fixed in Version => 1.3.0
2019-01-22 15:09 Timo Note Added: 0000120
2019-01-22 15:10 Timo Target Version => 1.3.0
2019-01-31 18:42 Timo Category General => Commands